%define name	tux_aqfh
%define version	1.0.14
%define release	4mdk
%define	summary	Tuxedo T. Penguin: A Quest For Herring

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://tuxaqfh.sourceforge.net/
Group:		Games/Arcade
Source0:	http://tuxaqfh.sourceforge.net/dist/%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
Summary:	%{summary}
BuildRequires:	plib libMesaGLU-devel XFree86-devel libMesaglut-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Tuxedo T. Penguin: A Quest For Herring

%prep
%setup -q

%build
%configure	--bindir=%{_gamesbindir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir}

install -d %{buildroot}%{_menudir}
cat <<EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		  icon=%{name}.png \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="Tuxedo Quest"\
		  longtitle="%{summary}"
EOF

install -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
tar -xOjf %{SOURCE1} icons/16x16.png > ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
tar -xOjf %{SOURCE1} icons/32x32.png > ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
tar -xOjf %{SOURCE1} icons/48x48.png > ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

#Move website to HTML so we can include it as a %doc instead of clutterng up %_datadir
mv $RPM_BUILD_ROOT%{_datadir}/%{name} HTML

%post
%{update_menus}
 
%postun
%{clean_menus}   

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING HTML
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Fri Apr 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.14-4mdk
- fixed buildrequires

* Fri Mar 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.14-3mdk
- added libMesaGLU-devel and XFree86-devel to BuildRequires

* Wed Nov 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.14-2mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- Added icons
	- Install stuff in the correct places
	- Moved %{_datadir}/%{name} to doc's as it's just a copy of the games website
	- Cleanups

* Mon Sep 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.14-1mdk
- from Crispin Boylan <viewtronix@uklinux.net> :
	- new version

* Wed Aug  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.13-5mdk
- gcc 3.2 build

* Wed May 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.13-4mdk
- rebuild to link against latest libstdc++

* Mon Feb 25 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.13-3mdk
- rebuild to fix invalid-packager

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.13-2mdk
- remove the menu entry since there is no icon because it generates
  an error in rpmlint; menu entries need to be written fully

* Wed Sep 05 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.0.13-1mdk
- 1.0.13

* Fri Jan  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.10-4mdk
- rebuild

* Tue Sep 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.10-3mdk
- clean spec
- menu

* Tue Sep 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.10-2mdk
- simple rebuild

* Thu Jun 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.10-1mdk
- first Mandrake Package

